Subject: Docs

From: "Charles L. Hutson" <[email-masked]>
Date: Tue, 21 Mar 1995 15:16:59 -0500 (EST)

wu-ftp users,
  I have downloaded wu-ftp version 2.4 and am going to install it
on a Sparc 5 running SunOS 4.1.3_U1.  I have, what should be, a very
basic question.....what is the best way to view the files in the
./doc directory.  I've used troff and nroff but still don't seem to
get a very readable/understandable document.  So far, nroff has given
me the best results but I still seems like I'm missing words at 
times.  Is there a better way?  Is there a more clear document
somewhere out on the net that describes format of files, setup, etc?
Thanks in advance.

clh

---

From: Vidiot <[email-masked]>
Date: Tue, 21 Mar 1995 14:37:06 -0600 (CST)

<  I have downloaded wu-ftp version 2.4 and am going to install it
<on a Sparc 5 running SunOS 4.1.3_U1.  I have, what should be, a very
<basic question.....what is the best way to view the files in the
<./doc directory.  I've used troff and nroff but still don't seem to
<get a very readable/understandable document.  So far, nroff has given
<me the best results but I still seems like I'm missing words at 
<times.  Is there a better way?  Is there a more clear document
<somewhere out on the net that describes format of files, setup, etc?

Run them against groff to create PostScript files and then either use a
PostScript previewer or print them on your favorite PostScript printer:

	groff -man doc.n > doc.n.ps

MB
-- 
System Administrator - Extrel FTMS - Madison WI.
e-mail: [email-masked]
phone: (608) 273-8262  fax: (608) 273-8719  voice-mail: (800) 426-6488 ext 6293
Visit - http://www.ftms.com/vidiot/  (Your link to the world of Star Trek)

---

From: [email-masked] (Tom Lojewski)
Date: Tue, 21 Mar 1995 13:52:01 -0800 (PST)

> 	groff -man doc.n > doc.n.ps

Where can a feller get groff?  Can I find it at prep.ai.mit.edu?

--------------------------------------------------------------------------
Tom Lojewski  -  ACUSON Corp  -  Mountain View, CA - ([email-masked])

---

From: [email-masked] (Anthony D. Thomas)
Date: Tue, 21 Mar 1995 17:22:03 -0500 (EST)

You should find groff and most of the other MIT tools
in:
	ftp://ftp.uu.net/systems/gnu

---------------------------------------------------------------
   Anthony Thomas               E-mail : [email-masked]
---------------------------------------------------------------

---

From: Vidiot <[email-masked]>
Date: Tue, 21 Mar 1995 17:15:47 -0600 (CST)

<
<Vidiot writes:
<> 
<> <  I have downloaded wu-ftp version 2.4 and am going to install it
<> <on a Sparc 5 running SunOS 4.1.3_U1.  I have, what should be, a very
<> <basic question.....what is the best way to view the files in the
<> <./doc directory.  I've used troff and nroff but still don't seem to
<> <get a very readable/understandable document.  So far, nroff has given
<> <me the best results but I still seems like I'm missing words at 
<> <times.  Is there a better way?  Is there a more clear document
<> <somewhere out on the net that describes format of files, setup, etc?
<> 
<> Run them against groff to create PostScript files and then either use a
<> PostScript previewer or print them on your favorite PostScript printer:
<> 
<> 	groff -man doc.n > doc.n.ps
<> 
<> MB
<> -- 
<
<Where can a feller get groff?  Can I find it at prep.ai.mit.edu?

A place is:

	ftp://ftp.uu.net/systems/gnu/groff-1.09.tar.gz

Note, you will need a C++ compiler, like GNU GCC in order to compile this
code.

Great package.

MB

---

From: [email-masked] (Patrick Salsbury)
Date: Tue, 21 Mar 95 15:33:20 PST

-> 	groff -man doc.n > doc.n.ps
-> 
-
-Where can a feller get groff?  Can I find it at prep.ai.mit.edu?
-
	You can also try:

nroff -Tman doc.n 

	or perhaps something with troff. groff is just the GNU version of
those utils, I think. Might not need to re-invent the wheel.

	Check man pages for nroff, troff, and man (itself!) for more info. 

	Hope this helps!

Pat
-------------------------------------------------------------------------------
	  Patrick Salsbury 	                IXI/Visionware           
	Sys Admin/Webmaster             4500 Bohannon Dr., Suite #280  
	Voice: 415/325-2113	             Menlo Park, CA 94025      
	 FAX: 415/325-8710	      X/UNIX/PC Integration Specialists
 Check out <A HREF="http://www.visionware.com/">The Visionware Homepage</A>

---

From: Vidiot <[email-masked]>
Date: Tue, 21 Mar 1995 18:00:00 -0600 (CST)

<
<-> 	groff -man doc.n > doc.n.ps
<-> 
<-
<-Where can a feller get groff?  Can I find it at prep.ai.mit.edu?
<-
<	You can also try:
<
<nroff -Tman doc.n 

That will get you terminal based output, but it doin't print too well.

<	or perhaps something with troff. groff is just the GNU version of
<those utils, I think. Might not need to re-invent the wheel.

Well, yes and no.  It depends on your troff.  If you have to old troff on
your Sun platform, you have the C/A/T version, which doesn't produce
PostScript, which means you can't preview it or send it to your PostScript
printer.  If you have later versions of DWB troff, then you have PostScript
printer support.

Groff has had PostScript support for a long time.

MB

---

From: christian mock <[email-masked]>
Date: Wed, 22 Mar 1995 01:35:53 +0100 (MET)

hi,

some time ago I asked if somebody already hacked ls into wu-ftpd, so that 
it would be possible to have our dialup users that use a menueing system 
be chroot()ed if they ftp in, for security reasons, without having to 
duplicate all that /dev /etc /lib stuff in their home dirs.

well, nobody had, so I did it myself, making a rather nasty mess out of 
wu-ftpd and the GNU ls (from the fileutils package).

if anybody is interested, mail me.

ciao,

cm.

    christian mock               CM125                PING technical staff
    [email-masked]                   fon +43-1-319 43 36 / fax +43-1-310 69 27

---

From: Forrest Aldrich <[email-masked]>
Date: Tue, 21 Mar 1995 19:56:08 -0500 (EST)

I"m interested...

Forrest

---

From: Alan Hannan <[email-masked]>
Date: Tue, 21 Mar 1995 19:52:11 -0600 (CST)

I am interested in seeing your package for chrooting users and letting
them use ftp's ls.  That is a problem I have encountered myself....
-- 
			       
Alan Hannan		      	    (402) 472-0241         MIDnet Inc.
------------------------------\ fax (402) 472-0240   A Global Internet Company
" All perception of truth is   \_________________________
  the detection of an analogy " -- Henry David Thoreau   \____________________

---

From: CQ CQ de Jason <[email-masked]>
Date: Wed, 22 Mar 1995 23:03:42 +0800 (WST)

> That will get you terminal based output, but it doin't print too well.

	If you want to print it out via a line printer, you may try

	nroff -man doc.n | col -b | lpr

	Jason Chang

---

From: [email-masked] (Tom Lojewski)
Date: Wed, 22 Mar 1995 14:00:01 -0800 (PST)

> 	Check man pages for nroff, troff, and man (itself!) for more info. 

We're off on a tangent here, but if anyone knows how to get PostScript
output from nroff or troff, I'd like to know how to do it.  I build
groff last night and it works fine.

---

From: Vidiot <[email-masked]>
Date: Wed, 22 Mar 1995 17:18:37 -0600 (CST)

Tom:

<We're off on a tangent here, but if anyone knows how to get PostScript
<output from nroff or troff, I'd like to know how to do it.  I build
<groff last night and it works fine.

That's just it, you can't PostScript from nroff and you can only get it
from recent versions of troff.

You made a good choice bringing up groff, since it is a generic replacement
for nroff and troff.

MB